Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Controls Test

post/api/v1/skills/controls.test/invoke

Test internal controls β€” design or operating effectiveness, sample selection, exceptions.

Request bodyapplication/json

FieldTypeDescription
client_idrequiredstring (uuid)β€”
control_set"payment_authorisation" | "journal_approval" | "user_access" | "segregation_of_duties" | "expense_approval" | "custom"β€”
payment_authorisationjournal_approvaluser_accesssegregation_of_dutiesexpense_approvalcustom
test_type"design" | "operating" | "both"β€”
designoperatingboth
sample_sizeintegerβ€”
periodstring | nullβ€”
custom_controlsstring[]β€”

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
artifact_idstring (uuid) | nullβ€”
download_urlstringβ€”
summarystringβ€”
citationsany[]β€”
warningsstring[]β€”
stub_fieldsstring[]β€”
test_idstring (uuid)β€”
overall_conclusion"effective" | "deficient" | "material_weakness"β€”
effectivedeficientmaterial_weakness
controls_testedany[]β€”
exceptionsany[]β€”
recommendationsstring[]β€”
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/controls.test/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "client_id": "00000000-0000-0000-0000-000000000000",
       "control_set": "payment_authorisation",
       "test_type": "design",
       "sample_size": 0,
       "period": null,
       "custom_controls": [
         "string"
       ]
     }'